DISTANCE(3G)

NAME
distance - calculate the distance between two points

DECLARATION

float distance(genType p0, genType p1);

double distance(genDType p0, genDType p1);

PARAMETERS

p0
    Specifies the first of two points

p1
    Specifies the second of two points

DESCRIPTION

distance returns the distance between the two points p0 and p1. i.e., length(p0, p1);

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
distance (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
distance (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

length(), normalize()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group